GET /v1/teams/{id}/versions
import json
from metadata.sdk import configure
from metadata.sdk.entities import Teams
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = Teams.get_versions("449b5f25-4cbb-42db-8f71-3be2c5cd888a")
for v in versions:
version = json.loads(v)
print(f"Version {version['version']}: {version.get('description')}")
# Get a specific version
team_v1 = Teams.get_specific_version(
"449b5f25-4cbb-42db-8f71-3be2c5cd888a",
"0.1"
)
print(f"Original name: {team_v1.name.root}")
// client is an initialized OpenMetadataClient.
var id = "449b5f25-4cbb-42db-8f71-3be2c5cd888a";
// List all versions
var history = client.teams().getVersionList(id);
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = client.teams().getVersion(id, 0.1);
System.out.println("Name: " + v1.getName());
# List all versions
curl "{base_url}/api/v1/teams/449b5f25-4cbb-42db-8f71-3be2c5cd888a/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/teams/449b5f25-4cbb-42db-8f71-3be2c5cd888a/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "team",
"versions": [
"{\"id\":\"449b5f25-4cbb-42db-8f71-3be2c5cd888a\",\"name\":\"Accounting\",\"fullyQualifiedName\":\"Accounting\",\"teamType\":\"Group\",\"version\":0.2,\"description\":\"Updated: Accounting team handling all financial reporting\"}",
"{\"id\":\"449b5f25-4cbb-42db-8f71-3be2c5cd888a\",\"name\":\"Accounting\",\"fullyQualifiedName\":\"Accounting\",\"teamType\":\"Group\",\"version\":0.1}"
]
}
Team Versions
List and retrieve historical versions of a team
GET
/
v1
/
teams
/
{id}
/
versions
GET /v1/teams/{id}/versions
import json
from metadata.sdk import configure
from metadata.sdk.entities import Teams
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = Teams.get_versions("449b5f25-4cbb-42db-8f71-3be2c5cd888a")
for v in versions:
version = json.loads(v)
print(f"Version {version['version']}: {version.get('description')}")
# Get a specific version
team_v1 = Teams.get_specific_version(
"449b5f25-4cbb-42db-8f71-3be2c5cd888a",
"0.1"
)
print(f"Original name: {team_v1.name.root}")
// client is an initialized OpenMetadataClient.
var id = "449b5f25-4cbb-42db-8f71-3be2c5cd888a";
// List all versions
var history = client.teams().getVersionList(id);
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = client.teams().getVersion(id, 0.1);
System.out.println("Name: " + v1.getName());
# List all versions
curl "{base_url}/api/v1/teams/449b5f25-4cbb-42db-8f71-3be2c5cd888a/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/teams/449b5f25-4cbb-42db-8f71-3be2c5cd888a/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "team",
"versions": [
"{\"id\":\"449b5f25-4cbb-42db-8f71-3be2c5cd888a\",\"name\":\"Accounting\",\"fullyQualifiedName\":\"Accounting\",\"teamType\":\"Group\",\"version\":0.2,\"description\":\"Updated: Accounting team handling all financial reporting\"}",
"{\"id\":\"449b5f25-4cbb-42db-8f71-3be2c5cd888a\",\"name\":\"Accounting\",\"fullyQualifiedName\":\"Accounting\",\"teamType\":\"Group\",\"version\":0.1}"
]
}
Team Versions
Every change to a team entity creates a new version. Use these endpoints to view the version history and retrieve specific versions.List Versions
string
required
UUID of the team.
Get Specific Version
UseGET /v1/teams/{id}/versions/{version} to retrieve a specific version.
string
required
UUID of the team.
string
required
Version number to retrieve, for example
0.2.GET /v1/teams/{id}/versions
import json
from metadata.sdk import configure
from metadata.sdk.entities import Teams
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = Teams.get_versions("449b5f25-4cbb-42db-8f71-3be2c5cd888a")
for v in versions:
version = json.loads(v)
print(f"Version {version['version']}: {version.get('description')}")
# Get a specific version
team_v1 = Teams.get_specific_version(
"449b5f25-4cbb-42db-8f71-3be2c5cd888a",
"0.1"
)
print(f"Original name: {team_v1.name.root}")
// client is an initialized OpenMetadataClient.
var id = "449b5f25-4cbb-42db-8f71-3be2c5cd888a";
// List all versions
var history = client.teams().getVersionList(id);
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = client.teams().getVersion(id, 0.1);
System.out.println("Name: " + v1.getName());
# List all versions
curl "{base_url}/api/v1/teams/449b5f25-4cbb-42db-8f71-3be2c5cd888a/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/teams/449b5f25-4cbb-42db-8f71-3be2c5cd888a/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "team",
"versions": [
"{\"id\":\"449b5f25-4cbb-42db-8f71-3be2c5cd888a\",\"name\":\"Accounting\",\"fullyQualifiedName\":\"Accounting\",\"teamType\":\"Group\",\"version\":0.2,\"description\":\"Updated: Accounting team handling all financial reporting\"}",
"{\"id\":\"449b5f25-4cbb-42db-8f71-3be2c5cd888a\",\"name\":\"Accounting\",\"fullyQualifiedName\":\"Accounting\",\"teamType\":\"Group\",\"version\":0.1}"
]
}
Returns
List versions returns an object withentityType and a versions array of serialized entity snapshots (newest first).
Get specific version returns the full team object as it existed at that version.
Error Handling
| Code | Error Type | Description |
|---|---|---|
401 | UNAUTHORIZED | Invalid or missing authentication token |
404 | NOT_FOUND | Team or version does not exist |
Was this page helpful?